#!/usr/bin/wish8.0 -f
#

#PATHNAME do binario "runhugs"
set runhugs "/usr/local/bin/runhugs"

#PATHNAME do programa principal LINUX
set appsrv "srvcalc.hs"


tk appname "MP1 calc"


set teclas(1) "Off"
set teclas(2) "CE"
set teclas(3) "C"
set teclas(4) "("
set teclas(5) ")"
set teclas(6) "Mem"
set teclas(7) "Rcl"
set teclas(8) "<-"
set teclas(9) "1/x"
set teclas(10) "sqrt"
set teclas(11) "7"
set teclas(12) "8"
set teclas(13) "9"
set teclas(14) "/"
set teclas(15) "fib"
set teclas(16) "4"
set teclas(17) "5"
set teclas(18) "6"
set teclas(19) "*"
set teclas(20) "x^n"
set teclas(21) "1"
set teclas(22) "2"
set teclas(23) "3"
set teclas(24) "-"
set teclas(25) "n!"
set teclas(26) "0"
set teclas(27) "."
set teclas(28) "+/-"
set teclas(29) "+"
set teclas(30) "="


set server [open "|$runhugs $appsrv" r+]



proc enter { n } {
global server

    if { [eof $server]==1 } { exit 0 }
    puts $server $n
    flush $server
    if { [eof $server]==0 } then { gets $server x }
    if { [eof $server]==0 } then {
	gets $server x

	.e configure -state normal
	.e delete 0 end
	.e insert end $x
	.e configure -state disabled
    } elseif  { [eof $server]==1 } { exit 0 }
}


## USER INTERFACE

set bgcolor lightgrey
set digcolor blue
set opcolor purple
set othercolor red




entry .e -width 23 -background white -justify right -state disabled
grid .e -row 0 -column 0 -columnspan 5

button .b1 -width 2 -text $teclas(1) -command {enter "Tecla 1"} -foreground $othercolor -background $bgcolor
button .b2 -width 2 -text $teclas(2) -command {enter "Tecla 2"} -foreground $opcolor -background $bgcolor
button .b3 -width 2 -text $teclas(3) -command {enter "Tecla 3"} -foreground $opcolor -background $bgcolor
button .b4 -width 2 -text $teclas(4) -command {enter "Tecla 4"} -foreground $opcolor -background $bgcolor
button .b5 -width 2 -text $teclas(5) -command {enter "Tecla 5"} -foreground $opcolor -background $bgcolor

grid .b1 .b2 .b3 .b4 .b5 -columnspan 1 -sticky we

button .b6 -text $teclas(6) -command {enter "Tecla 6"} -foreground $opcolor -background $bgcolor
button .b7 -text $teclas(7) -command {enter "Tecla 7"} -foreground $opcolor -background $bgcolor
button .b8 -text $teclas(8) -command {enter "Tecla 8"} -foreground $opcolor -background $bgcolor
button .b9 -text $teclas(9) -command {enter "Tecla 9"} -foreground $opcolor -background $bgcolor
button .b10 -text $teclas(10) -command {enter "Tecla 10"} -foreground $opcolor -background $bgcolor

grid .b6 .b7 .b8 .b9 .b10 -columnspan 1 -sticky we


button .b11 -text $teclas(11) -command {enter "Tecla 11"} -foreground $digcolor -background $bgcolor
button .b12 -text $teclas(12) -command {enter "Tecla 12"} -foreground $digcolor -background $bgcolor
button .b13 -text $teclas(13) -command {enter "Tecla 13"} -foreground $digcolor -background $bgcolor
button .b14 -text $teclas(14) -command {enter "Tecla 14"} -foreground $opcolor -background $bgcolor
button .b15 -text $teclas(15) -command {enter "Tecla 15"} -foreground $opcolor -background $bgcolor

grid .b11 .b12 .b13 .b14 .b15 -columnspan 1 -sticky we


button .b16 -text $teclas(16) -command {enter "Tecla 16"} -foreground $digcolor -background $bgcolor
button .b17 -text $teclas(17) -command {enter "Tecla 17"} -foreground $digcolor -background $bgcolor
button .b18 -text $teclas(18) -command {enter "Tecla 18"} -foreground $digcolor -background $bgcolor
button .b19 -text $teclas(19) -command {enter "Tecla 19"} -foreground $opcolor -background $bgcolor
button .b20 -text $teclas(20) -command {enter "Tecla 20"} -foreground $opcolor -background $bgcolor

grid .b16 .b17 .b18 .b19 .b20 -columnspan 1 -sticky we

button .b21 -text $teclas(21) -command {enter "Tecla 21"} -foreground $digcolor -background $bgcolor
button .b22 -text $teclas(22) -command {enter "Tecla 22"} -foreground $digcolor -background $bgcolor
button .b23 -text $teclas(23) -command {enter "Tecla 23"} -foreground blue -background $bgcolor
button .b24 -text $teclas(24) -command {enter "Tecla 24"} -foreground $opcolor -background $bgcolor
button .b25 -text $teclas(25) -command {enter "Tecla 25"} -foreground $opcolor -background $bgcolor

grid .b21 .b22 .b23 .b24 .b25 -columnspan 1 -sticky we

button .b26 -text $teclas(26) -command {enter "Tecla 26"} -foreground $digcolor -background $bgcolor
button .b27 -text $teclas(27) -command {enter "Tecla 27"} -foreground $digcolor -background $bgcolor
button .b28 -text $teclas(28) -command {enter "Tecla 28"} -foreground blue -background $bgcolor
button .b29 -text $teclas(29) -command {enter "Tecla 29"} -foreground $opcolor -background $bgcolor
button .b30 -text $teclas(30) -command {enter "Tecla 30"} -foreground $opcolor -background $bgcolor

grid .b26 .b27 .b28 .b29 .b30 -columnspan 1 -sticky we




